Subject: bug#34684: 26.1; Strange characters when inserting date

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Feb 2019 21:56:13 +0200

> From: Robert Pluim <[email-masked]>
> Cc: "Wong\, Philip" <[email-masked]>,  [email-masked]
> Date: Thu, 28 Feb 2019 20:11:45 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: "Wong, Philip" <[email-masked]>
> >> Date: Thu, 28 Feb 2019 14:16:25 +0000
> >> 
> >> When I insert a date by pressing CTRL+C then period then enter I get “<2019-02-28 ¶g¥|>”.
> >> 
> >> I’m not sure what the strange character is (¶g¥|), can someone help?
> >
> > Please show a complete recipe, starting from "emacs -Q", to reproduce
> > the issue.  When I type "Ctrl-C ." in "emacs -Q", Emacs says that
> > sequence is not bound to any command, so I wonder what is needed to
> > "insert a date" in your scenario.
> 
> >From the output, this is 'org-time-stamp', which produces
> <2019-02-28 Thu> here. Based on this in the report:
> 
>     Important settings:
>       value of $LANG: ZHH
>       locale-coding-system: cp1252
> 
> Iʼm assuming thereʼs an issue with buffer-file-coding-system or
> similar.

Unlikely: buffer-file-coding-system has no effect whatsoever on the
text that is inserted into a buffer, it only has effect when you want
to save the buffer or send it to some sub-process.

It could be some snafu in Org, though, e.,g. if it doesn't know how to
support that value of $LANG.  In any case, should be reported to Org
developers first.